clear
%*********************************
%*          Zeitsignal           *
%*********************************
%Anzahl der Samples 1000
t=0:1:1000
%Sinussignal 2 Perioden
s = sin(4*pi()*t/1000);
time=0:(2/1000):2
%Plot Sinus
subplot(2,2,1)
plot(time,s)
axis([0 max(time) -1.5 1.5])
title('Zeitsignal')
xlabel('Sample')
ylabel('Amplitude')
%*********************************
%*      Histogramm (WDF)         *
%*********************************
%Auflsung des Histogramms dy=0.01
x=min(s):0.01:max(s)
%Histogramm erzeugen
h=hist(s,x)/length(s)
%Plot WDF
subplot(2,2,2)
plot(x,h)
axis([-1.2 1.2 0 0.05])
title('Histogramm')
xlabel('Amplitude')
ylabel('Auftretenswahrsch.')
%*********************************
%*     Amplitudenverteilung      *
%*********************************
%f(x)=Integral(histogramm,0,x)
temp=0
for i=1:length(h)
   temp(1:length(temp))=0 
   temp(1:i)=h(1:i)
   y(i)=sum(temp)        %Integral von 0 bis i
end
%Reskallierung auf 1 (Verteilung kann nur zwischen f(-inf)=0 und f(+inf)=1
%liegen
y=y./max(y)
%Plot Verteilungsfunktion
subplot(2,2,4)
plot(x,y)
axis([-1.25 1.25 0 1.2])
title('Verteilungsfunktion')
xlabel('Amplitude')
ylabel('Verteilung')
%*********************************
%*     Autokorrelationsfkt.      *
%*********************************
[Rss,tau]=xcorr(s,s)
Rss=Rss/length(s)
time_shift=-2:2/1000:2
subplot(2,2,3)
plot(time_shift,Rss)
axis([-max(time) max(time) -1 1])
title('Autokorrelationsfunktion')
xlabel('\tau in ms')
ylabel('Rxx(Tau)')